from flask import Flask, redirect

app = Flask(__name__)

@app.route("/baidu")
def baidu():
    # 使用正确的 redirect 函数重定向到百度
    # 还导入了 redirect 函数，后者用于执行HTTP重定向。
    return redirect("https://www.baidu.com")

if __name__ == '__main__':
    app.run(host="0.0.0.0")